- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
utility.h File Reference

Declares utility functions used within MySQL++. More...

`#include "common.h"`
`#include <cctype>`
`#include <cstring>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| mysqlpp::internal
| Namespace for holding things used only within MySQL++.

## Functions
void | mysqlpp::internal::str_to_lwr (std::string &s)
| Lowercase a C++ string in place.
void | mysqlpp::internal::str_to_lwr (std::string &ls, const char *mcs)
| Copy a C string into a C++ string, lowercasing it along the way.

## Detailed Description

Declares utility functions used within MySQL++.

None of this is meant to be used outside the library itself. None of this is considered part of the library interface. It is subject to change at any time, with no notice.